Product Details by SKU
The endpoint retrieves product details from the catalog based on the product SKU
curl --location '{{Base_url}}/rest/V1/products/your-product-sku' \
--header 'Authorization: Bearer eyJraWQiOiIxIiwiYWxnIjoiSFMyNTYifQ.eyJ1aWQiOjU1LCJ1dHlwaWQiOjIsImlhdCI6MTczNjIyOTQwMiwiZXhwIjoxNzM2MjMzMDAyfQ.Ieac-0kIJbKSPCT8ncYF-X6DGPzHjdUT0vbYuNk4_uY' \
--header 'Cookie: PHPSESSID=6t4unirh1unu87ef0stp2sv3kv; private_content_version=5ab80b7def0c212f723edead3c971a19'{
"id": 14535,
"sku": "your-product-sku",
"name": "Your Product Name",
"attribute_set_id": 4,
"price": 99.99,
"status": 1,
"visibility": 4,
"type_id": "simple",
"created_at": "2024-12-12 11:03:46",
"updated_at": "2025-01-07 06:54:07",
"weight": 1,
"extension_attributes": {
"website_ids": [
1
]
},
"product_links": [],
"options": [],
"media_gallery_entries": [
{
"id": 212271,
"media_type": "image",
"label": "Image Label",
"position": 0,
"disabled": false,
"types": [],
"file": "/r/b/rbj1_4_2.jpeg"
},
{
"id": 212270,
"media_type": "image",
"label": "Image Label",
"position": 0,
"disabled": false,
"types": [],
"file": "/r/b/rbj1_4_1.jpeg"
},
{
"id": 212268,
"media_type": "image",
"label": "Image Label",
"position": 0,
"disabled": false,
"types": [],
"file": "/r/b/rbj1_3_2.jpeg"
},
{
"id": 212269,
"media_type": "image",
"label": "Image Label",
"position": 0,
"disabled": false,
"types": [
"image",
"small_image",
"thumbnail"
],
"file": "/r/b/rbj1_4.jpeg"
},
{
"id": 212267,
"media_type": "image",
"label": "Image Label",
"position": 0,
"disabled": false,
"types": [],
"file": "/r/b/rbj1_3_1.jpeg"
}
],
"tier_prices": [],
"custom_attributes": [
{
"attribute_code": "short_description",
"value": "<p>html <b>short description here</b></p>"
},
{
"attribute_code": "image",
"value": "/r/b/rbj1_4.jpeg"
},
{
"attribute_code": "url_key",
"value": "your-product-name"
},
{
"attribute_code": "description",
"value": "<p>html <b>description here</b></p>"
},
{
"attribute_code": "meta_title",
"value": "Product Meta Title"
},
{
"attribute_code": "small_image",
"value": "/r/b/rbj1_4.jpeg"
},
{
"attribute_code": "options_container",
"value": "container2"
},
{
"attribute_code": "meta_keyword",
"value": "product, keywords, magento"
},
{
"attribute_code": "thumbnail",
"value": "/r/b/rbj1_4.jpeg"
},
{
"attribute_code": "meta_description",
"value": "Meta description for the product."
},
{
"attribute_code": "swatch_image",
"value": "no_selection"
},
{
"attribute_code": "purchase_price_cap",
"value": "0.000000"
},
{
"attribute_code": "msrp_display_actual_price_type",
"value": "0"
},
{
"attribute_code": "is_sclp",
"value": "0"
},
{
"attribute_code": "required_options",
"value": "0"
},
{
"attribute_code": "has_options",
"value": "0"
},
{
"attribute_code": "image_label",
"value": "Image Label"
},
{
"attribute_code": "small_image_label",
"value": "Image Label"
},
{
"attribute_code": "thumbnail_label",
"value": "Image Label"
},
{
"attribute_code": "popular_product",
"value": "0"
},
{
"attribute_code": "tax_class_id",
"value": "2"
},
{
"attribute_code": "category_ids",
"value": []
},
{
"attribute_code": "sw_featured",
"value": "0"
}
]
}Last updated